#define NFSCLIENT
#include "syshdr.h"
#include <rpc/rpc.h>
#include "nfs_prot.h"
#include <netdb.h>
#include <arpa/inet.h>
#include <nfs/nfs_mount.h>

int syscall_mount(char *dir, void *root_fh, int sock_fd, struct sockaddr_in *socket, int rwsize)
{
	struct nfs_args		nfs_args;

	bzero(&nfs_args, sizeof(nfs_args));
	nfs_args.wsize		= rwsize;
	nfs_args.rsize		= rwsize;
	nfs_args.retrans	= 3;
	nfs_args.timeo		= 1000;	/* 1 s timeout */
	nfs_args.addr		= socket;
	nfs_args.flags		= NFSMNT_HOSTNAME |
				  NFSMNT_RETRANS | NFSMNT_TIMEO |
				  NFSMNT_WSIZE | NFSMNT_RSIZE | 
				  NFSMNT_INT;
	nfs_args.fh		= (char *)root_fh;
	nfs_args.hostname	= "afpmount";
	nfs_args.netname	= "net";
	return mount(MOUNT_NFS, dir, 0, (caddr_t)&nfs_args);
}

int syscall_mount_nfstrace(char *dir, void *root_fh, int sock_fd, struct sockaddr_in *socket)
{
	struct nfs_args		nfs_args;

	bzero(&nfs_args, sizeof(nfs_args));
	nfs_args.addr		= socket;
	nfs_args.flags		= NFSMNT_HOSTNAME |
				  NFSMNT_INT;
	nfs_args.fh		= (char *)root_fh;
	nfs_args.hostname	= "afpmount";
	nfs_args.netname	= "net";
	return mount(MOUNT_NFS, dir, 0, (caddr_t)&nfs_args);
}